Subject: [Capwap] FW: review of draft-ietf-capwap-dhc-ac-option-01.txt

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 17 Sep 2008 12:14:53 +0200

Have Francis' comments been answered? 

Dan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, July 11, 2008 11:27 AM
To: [email-masked]
Cc: [email-masked]; Romascanu, Dan (Dan)
Subject: review of draft-ietf-capwap-dhc-ac-option-01.txt

I have been selected as the General Area Review Team (Gen-ART) reviewer
for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments
you may receive.

Document: draft-ietf-capwap-dhc-ac-option-01.txt
Reviewer: Francis Dupont
Review Date: 2008-07-10
IETF LC End Date: 2008-07-14
IESG Telechat date: unknown

Summary: Ready with nits

Comments: I have two general questions and the usual editioral things
(here editorial means they can be handled by the RFC Editor):

 - the first general question is about references to DHCP:
  * the whole document, including the Abstract, assumes the reader
   already knows what is DHCP. I have no concern about this but perhaps
   I should? I propose to keep this point closed until someone else
raises it
   (so it could enter into the any other LC comments)

  * 1.2 (Terminology) is only about CAPWAP, IMHO even you don't abuse of
   DHCP specific terms it is a good place to add DHCP references (the
   three at the beginning of the Security Considerations for instance).

 - the second question is about the use (or abuse) of 2119 keywords at
   unusual places, namely in the Introduction (i.e., before the 2119
   reference) and in the IANA Considerations. But it is only a question
   of usage/style...

 - in TOC and section 6: Acknowledgements -> Acknowledgments 

Regards

[email-masked]
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 17 Sep 2008 06:18:37 -0700

raises it
>    (so it could enter into the any other LC comments)
I did not address this given no one else raised it during LC.

>    three at the beginning of the Security Considerations for
instance).
I added a pointer to RFC 2131 and RFC 3735 in the Terminology section

>    reference) and in the IANA Considerations. But it is only a
question
Yes, this was addressed

>  - in TOC and section 6: Acknowledgements -> Acknowledgments  

After figuring out that I have been misspelling the word all this time
(well, maybe I should say I never realized Canadians spelled it
differently from US, even after being here for over 10 years), yes I
fixed it.

PatC
-----Original Message-----
From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: Wednesday, September 17, 2008 3:15 AM
To: [email-masked]
Subject: [Capwap] FW: review of draft-ietf-capwap-dhc-ac-option-01.txt

Dan

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, July 11, 2008 11:27 AM
To: [email-masked]
Cc: [email-masked]; Romascanu, Dan (Dan)
Subject: review of draft-ietf-capwap-dhc-ac-option-01.txt

Summary: Ready with nits

Regards

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 17 Sep 2008 15:45:33 +0200

Pat,

There was no new version since then, and the document is now in IESG
review. I suggest that we include these in the notes to the RFC Editor -
can you let me know exactly where the pointers to 2131 and 3735 would
fit? 

Thanks and Regards,

Dan

> From: Pat Calhoun (pacalhou) [mailto:[email-masked]] 
> Sent: Wednesday, September 17, 2008 4:19 PM
> To: Romascanu, Dan (Dan); [email-masked]
> Subject: RE: [Capwap] FW: review of 
> draft-ietf-capwap-dhc-ac-option-01.txt
> 
> >   * 1.2 (Terminology) is only about CAPWAP, IMHO even you 
> don't abuse
> of
> After figuring out that I have been misspelling the word all 
> this time (well, maybe I should say I never realized 
> Canadians spelled it differently from US, even after being 
> here for over 10 years), yes I fixed it.
> 
> PatC
> > 
> I have been selected as the General Area Review Team 
> (Gen-ART) reviewer for this draft (for background on Gen-ART, 
> please see http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
> 
> Please resolve these comments along with any other Last Call 
> comments you may receive.
> 
> 
> Comments: I have two general questions and the usual 
> editioral things (here editorial means they can be handled by 
> the RFC Editor):
> 
>    I should? I propose to keep this point closed until 
> someone else raises it

---

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 17 Sep 2008 08:03:06 -0700

There are a few changes that were made to -02, which I was asked to deal
with during the RFC publication phase. Here they are:

<text in section 1.0 of -01>
   Prior to the CAPWAP Discovery process, the WTP MAY use one of many
<text in section 1.0 of -02>
   Prior to the CAPWAP Discovery process, the WTP may use one of many 

<text in section 1.2 of -01>
   This document uses terminology defined in [RFC3753] and
<text in section 1.2 of -02>
   This document uses terminology defined in [RFC3753], [RFC2131] and

<text in section 4.0 of -01>
   The following DHCPv4 option code for CAPWAP AC option MUST be
<text in section 4.0 of -02>
   The following DHCPv4 option code for CAPWAP AC option must be

<text in section 5.0 of -01>
   Therefore, the options defined in this
   document are not the only methods used to determine which AC a WTP
   should connect to.  
<text in section 5.0 of -02>
   Therefore, in security sensitive
   environments the options defined in this document SHOULD NOT be the
   only methods used to determine which AC a WTP should connect to.

<text in section 6.0 of -01>
6.  Acknowledgements
<text in section 6.0 of -02>
6.  Acknowledgments

<text in Author's Address of -01>
   Phone: +1 408-853-5269
<text in Author's Address of -02>
   Phone: +1 408-902-3240

Does that address your question (or probably even more than what you
asked)?

PatC
-----Original Message-----
From: Romascanu, Dan (Dan) [mailto:[email-masked]] 
Sent: Wednesday, September 17, 2008 6:46 AM
To: Pat Calhoun (pacalhou); [email-masked]
Subject: RE: [Capwap] FW: review of

Pat,

Thanks and Regards,

Dan

> (Gen-ART) reviewer for this draft (for background on Gen-ART, please 
> see http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).
>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 17 Sep 2008 17:06:51 +0200

Yes, this is what I was looking for (and more). If there is no opposed
view I suggest that we make these part of the RFC Editor notes already.
I can do the change in the tracker. 

Dan

> Sent: Wednesday, September 17, 2008 6:03 PM
> There are a few changes that were made to -02, which I was 
> asked to deal with during the RFC publication phase. Here they are:
> 
>    Prior to the CAPWAP Discovery process, the WTP MAY use one 
> of many <text in section 1.0 of -02>
>    The following DHCPv4 option code for CAPWAP AC option MUST 
> be <text in section 4.0 of -02>
> Does that address your question (or probably even more than 
> what you asked)?
> 
> PatC
> There was no new version since then, and the document is now 
> in IESG review. I suggest that we include these in the notes 
> to the RFC Editor - can you let me know exactly where the 
> pointers to 2131 and 3735 would fit? 
> 
> Thanks and Regards,
> 
> Dan
>  
> 
> someone else
> editioral things